OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
SignedFloodFill.h File Reference

Propagate the signs of distance values from the active voxels in the narrow band to the inactive values outside the narrow band. More...

`#include <openvdb/version.h>`
`#include <openvdb/Types.h>`
`#include <openvdb/math/Math.h>`
`#include <openvdb/tree/NodeManager.h>`
`#include <openvdb/openvdb.h>`
`#include <map>`
`#include <type_traits>`

Go to the source code of this file.

## Classes
class | SignedFloodFillOp< TreeOrLeafManagerT >

## Namespaces
namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::tools

## Functions
template<typename TreeOrLeafManagerT >
void | signedFloodFill (TreeOrLeafManagerT &tree, bool threaded=true, size_t grainSize=1, Index minLevel=0)
| Set the values of all inactive voxels and tiles of a narrow-band level set from the signs of the active voxels, setting outside values to +background and inside values to -background.
template<typename TreeOrLeafManagerT >
void | signedFloodFillWithValues (TreeOrLeafManagerT &tree, const typename TreeOrLeafManagerT::ValueType &outsideWidth, const typename TreeOrLeafManagerT::ValueType &insideWidth, bool threaded=true, size_t grainSize=1, Index minLevel=0)
| Set the values of all inactive voxels and tiles of a narrow-band level set from the signs of the active voxels, setting exterior values to outsideWidth and interior values to insideWidth. Set the background value of this tree to outsideWidth.

## Detailed Description

Propagate the signs of distance values from the active voxels in the narrow band to the inactive values outside the narrow band.

Author
  Ken Museth